gupnp-av (0.14.4-2) unstable; urgency=medium

  * Mark gir package as Multi-Arch: same
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Feb 2026 11:26:57 -0500

gupnp-av (0.14.4-1) unstable; urgency=medium

  * New upstream release
  * Build docs with gi-docgen instead of gtk-doc-tools
  * Register API documentation with doc-base
  * Support the nodoc build profile
  * Update gir handling
  * debian/copyright: remove obsolete FSF address
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Sep 2025 16:21:01 -0400

gupnp-av (0.14.3-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 17:55:58 -0500

gupnp-av (0.14.1-3) unstable; urgency=medium

  * Cherry-pick 2 patches to fix build with latest libxml2 (Closes: #1073318)
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Jun 2024 16:58:14 -0400

gupnp-av (0.14.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Apply multi-arch hints
  * Update standards version to 4.6.2, no changes needed

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh-sequence-gnome
  * Drop unused Build-Depends: libsoup2.4-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 19:24:10 -0500

gupnp-av (0.14.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libgupnp-av-1.0-3.symbols: Add new symbol
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 16:37:09 -0400

gupnp-av (0.14.0-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 02 Feb 2022 16:02:40 -0500

gupnp-av (0.14.0-2) experimental; urgency=medium

  * Add missing Breaks/Replaces (Closes: #1004735)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 08:05:40 -0500

gupnp-av (0.14.0-1) experimental; urgency=medium

  * New upstream release
  * Rename libgupnp-av-1.0-2 to libgupnp-av-1.0-3 to match soname bump
  * debian/libgupnp-av-1.0-3.symbols: Update
  * Build with meson
  * debian/control.in: Bump minimum glib to 2.58
  * debian/control.in: Have libgupnp-av-2.0-dev Depend on libglib2.0-dev
    & libxml2-dev to match its pkgconfig file

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Oct 2021 16:19:19 -0400

gupnp-av (0.12.11-3) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control{,in}: Add missing build-dependency gtk-doc-tools.
    (Closes: #978832)

  [ Jeremy Bicha ]
  * Build-Depend on debhelper-compat 13
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * debian/control.in: Add versioned Provides for gir1.2-gupnpav-1.0
  * debian/control.in: Drop ancient Conflicts/Breaks/Replaces
  * debian/rules: Simplify a bit

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 10 Sep 2021 07:24:19 -0400

gupnp-av (0.12.11-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0
  * Add debian/docs to install NEWS

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 26 Dec 2018 14:09:48 -0500

gupnp-av (0.12.11-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libglib2.0-dev to 2.38
  * Bump Standards-Version to 4.2.1
  * Bump debhelper compat to 11
  * Don't have libgupnp-av-doc depend on lynx | www-browser
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Nov 2018 07:20:56 -0500

gupnp-av (0.12.10-1) unstable; urgency=medium

  * New upstream release.
  * Drop gssdp build-dependency following upstream change.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 23 Oct 2016 21:21:39 +0200

gupnp-av (0.12.9-1) unstable; urgency=medium

  * New upstream release.
  * Update (build-)dependencies according to configure.ac changes:
    - drop gupnp, no longer needed.
    - add glib >= 2.34, previously implicitly pulled in now versioned.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 11 Oct 2016 15:32:14 +0200

gupnp-av (0.12.8-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * install gupnp-av-1.0.pc in a multiarch location (Closes: #837610)

  [ Andreas Henriksson ]
  * Convert from cdbs to dh
  * Bump to debhelper compat 10 (automatic dh-autoreconf)
  * Bump Standards-Version to 3.9.8
  * Drop libgupnp-av-1.0-dbg in favor of automatic dbgsym
  * Add Build-Depends-Package field to symbols file
  * Drop *.la and use --fail-missing

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 13 Sep 2016 10:42:37 +0200

gupnp-av (0.12.8-2) unstable; urgency=medium

  * debian/copyright: Updated and switched to DEP5 format
  * Hand over maintenance to Debian GNOME Team
    - build-depend on gnome-pkg-tools
    - include uploaders.mk and gnome-get-source.mk in debian/rules
    - copy debian/control to debian/control.in
    - set Maintainer to Debian GNOME Team and Uploaders to autogenerated.
    - update Vcs-* fields for move from collab-maint to pkg-gnome
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 09 Mar 2016 17:00:13 +0100

gupnp-av (0.12.8-1) unstable; urgency=medium

  * New upstream release.
  * Drop Ross Burton from Maintainer on his request.
  * Update libgupnp-av-1.0-2.symbols with a new addition.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Feb 2016 20:18:41 +0100

gupnp-av (0.12.7-1) unstable; urgency=medium

  * Imported Upstream version 0.12.6
  * Bump build-dependency on valac to >= 0.22 according to configure.ac

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 30 Apr 2015 10:12:30 +0200

gupnp-av (0.12.6-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Imported Upstream version 0.12.6
  * Bump Standards-Version to 3.9.5

  [ Logan Rosen ]
  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el
    (Closes: #735394)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 23 Jun 2014 18:11:28 +0200

gupnp-av (0.12.5-1) unstable; urgency=medium

  * Imported Upstream version 0.12.5

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Feb 2014 23:38:12 +0100

gupnp-av (0.12.4-1) unstable; urgency=medium

  * Make dh_makeshlibs fail on symbols mismatch
  * Imported Upstream version 0.12.4
  * Update symbols file with several added symbols

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 17 Jan 2014 20:17:53 +0100

gupnp-av (0.12.3-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * debian/control:
    - Bump minimum valac to 0.20 per configure.ac
    - Drop unnecessary gir packages from Build-Depends

  [ Andreas Henriksson ]
  * Imported Upstream version 0.12.3
  * Update debian/libgupnp-av-1.0-2.symbols with added symbols

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 21:12:28 +0200

gupnp-av (0.12.2-1) unstable; urgency=low

  * Imported Upstream version 0.12.2
  * Add autotools-dev build-dependency
    - fixes outdated-autotools-helper-file with help from CDBS
  * Don't manually run dh_girepository anymore
    - This is handled by CDBS since 0.4.90

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 04 Jun 2013 14:37:27 +0200

gupnp-av (0.12.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 18 May 2013 02:18:00 +0200

gupnp-av (0.12.1-1) experimental; urgency=low

  * Make libgupnp-av-1.0-dev break packages it replaces files in
    for policy compliance
  * Imported Upstream version 0.12.1

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 22 Mar 2013 11:57:41 +0100

gupnp-av (0.12.0-1) experimental; urgency=low

  * drop DEB_DH_INSTALL_ARGS usage from debian/rules
  * Imported Upstream version 0.12.0

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 20 Feb 2013 15:16:04 +0100

gupnp-av (0.11.6-1) experimental; urgency=low

  * Tighten dev -> gir package dependency
  * Imported Upstream version 0.11.6
  * Bump standards version to 3.9.4

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 Jan 2013 23:23:05 +0100

gupnp-av (0.11.5-1) experimental; urgency=low

  * Imported Upstream version 0.11.5
  * Update symbols file with new added symbols
  * Install XML schema files in library package

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 09 Dec 2012 16:15:56 +0100

gupnp-av (0.11.1-1) experimental; urgency=low

  * Replace gupnp-vala versions before 0.10.5 to avoid file conflicts
  * Imported Upstream version 0.11.1
  * Revert "Add patches from upstream"
    - now included in upstream release.
  * Revert "Bump gobject-introspection build-dep to (>= 1.33.4) ..."
    - upstream release lowered the requirements again in 0.11.1
  * Update symbols file for new symbols in 0.11.1

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 25 Oct 2012 15:27:58 +0200

gupnp-av (0.11.0-1) experimental; urgency=low

  * Imported Upstream version 0.11.0
    - Beware! This version stops leaking gupnp linker flags!
    - If you use symbols from a library, you need to link to it!
    - Also link your modules with "-Wl,-z,defs" in LDFLAGS to
      catch errors at build time!
  * Bump gupnp build-dep to (>= 0.19.0) according to configure.ac
  * Bump gobject-introspection build-dep to 1.33.4 according to configure.ac
  * Add valac (>= 0.14) build dependency to get vapigen
  * Add patches from upstream
    - vapigen-m4-macro.patch
    - introspection-install-dir.patch
  * Install vapi and deps in libgupnp-av-1.0-dev
  * Add new symbols to debian/libgupnp-av-1.0-2.symbols for 0.11.0

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 09 Oct 2012 00:40:05 +0200

gupnp-av (0.10.3-1) unstable; urgency=low

  * Imported Upstream version 0.10.3

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Sep 2012 18:53:57 +0200

gupnp-av (0.10.2-1) unstable; urgency=low

  * Bump to debhelper compatibility level 9
  * Imported Upstream version 0.10.2

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Apr 2012 21:17:47 +0200

gupnp-av (0.10.1-2) unstable; urgency=low

  * Move gir package to introspection section
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Dec 2011 14:39:30 +0100

gupnp-av (0.10.1-1) experimental; urgency=low

  * Imported Upstream version 0.10.1
  * Fix up mistake when adding new 0.10 symbols

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 09 Oct 2011 18:28:35 +0200

gupnp-av (0.10.0-1) experimental; urgency=low

  * Imported Upstream version 0.10.0
  * Update debian/watch for ftp.gnome.org
  * Switch to debian source format 3.0 (quilt)
    - needed for xz orig tarball
  * Fix lintian warning about bracket expansion in debhelper install file
  * Bump gupnp build dependency to >= 0.16.0
    - Needed to build, even though configure.ac doesn't say so.
  * Update gupnp-av symbols file for added API.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2011 16:59:26 +0200

gupnp-av (0.8.0-2) unstable; urgency=low

  * Drop gir-repository-dev build-dep and bump libsoup2.4-dev
    - libsoup2.4 now builds it's own GIR
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 11 Apr 2011 13:08:14 +0200

gupnp-av (0.8.0-1) experimental; urgency=low

  * Make -dev package depend or gir1.2- package.
  * debian/rules: fix dh_girepository hook for gir1.2
  * Imported Upstream version 0.8.0
  * Drop patches imported from upstream.
  * Update symbols file for 0.8 release.
  * Bump debian policy to 3.9.2
  * Drop quilt patch system, no longer needed.
  * Upload to experimental for now to avoid disrupting
    the gobject-introspection transition.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 08 Apr 2011 16:10:53 +0200

gupnp-av (0.6.3-2) unstable; urgency=low

  * Re-add build-dependency on gir-repository-dev
    - We need libsoup2.4-dev (>= 2.32.2-1) for the 1.2 gir of soup,
      which is not yet available in unstable.
    - gir-repository-dev 0.6.5-9 is now gir1.2 and still contains
      the Soup-2.4.gir file, so add a (versioned) build-dependency
      on that for now.
  * Add patches from upstream to fix linking of tests (Closes: #610698)
  * Add quilt patch system.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Mar 2011 18:14:35 +0100

gupnp-av (0.6.3-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * Imported Upstream version 0.6.3
  * Only watch for stable releases

  [ Martin Pitt ]
  * debian/control: Bump libgirepository1.0-dev build dependency as per
    new upstream configure check.
  * Drop deprecated and unnecesary gir-repository-dev build dependency.
    (LP: #677382)
  * debian/control: Bump gir1.0-gssdp-1.0 build dependency to ensure that we
    have the experimental version (which provides GI ABI 1.2).
  * debian/control: Add versioned libgssdp-1.0-dev and libsoup2.4-dev build
    dependencies, as building our GIR needs those GIRs; we need to ensure GI
    ABI version 1.2.

  [ Andreas Henriksson ]
  * Update to new gir policy (gir 1.2):
    - Rename gir1.0-gupnp-av-1.0 to gir1.2-gupnp-av-1.0
      (and conflict/replace the old name)
    - Bump gobject-introspection build dependency to (>= 0.9.12-4~)
      and libgirepository1.0-dev to (>= 0.9.12)
    - Build-depend on gir1.2-* instead of gir1.0-* (and drop versions)
  * Bump libgupnp-1.0-dev build-dependency to (>= 0.14.1) for 1.2
    typelib.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 14 Dec 2010 11:22:28 +0100

gupnp-av (0.6.1-2) unstable; urgency=low

  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 03 Oct 2010 17:07:05 +0200

gupnp-av (0.6.1-1) experimental; urgency=low

  * Add symbols file for libgupnp-av-1.0-2
  * Imported Upstream version 0.6.1

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 29 Sep 2010 16:44:18 +0200

gupnp-av (0.6.0-1) experimental; urgency=low

  * debian/watch: fix for new gupnp.org site layout.
  * Imported Upstream version 0.6.0

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 20 Sep 2010 20:47:48 +0200

gupnp-av (0.5.9-1) experimental; urgency=low

  * Imported Upstream version 0.5.9
  * debian/control: Bump to policy version 3.9.1

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 22 Aug 2010 09:55:53 +0200

gupnp-av (0.5.8-1) unstable; urgency=low

  * Imported Upstream version 0.5.8

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 02 Aug 2010 22:20:22 +0200

gupnp-av (0.5.7-1) unstable; urgency=low

  * Imported Upstream version 0.5.7

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Jun 2010 14:41:24 +0200

gupnp-av (0.5.6-1) unstable; urgency=low

  * Imported Upstream version 0.5.6

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 21 Jun 2010 17:31:27 +0200

gupnp-av (0.5.5-2) unstable; urgency=low

  * Call dh_girepository
  * Add missing build-dependency on several gir1.0-* packages.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 26 Apr 2010 13:07:30 +0200

gupnp-av (0.5.5-1) unstable; urgency=low

  * New upstream release (Closes: #577225)
  * Include new GObject Introspection data.
    + ship .gir in -dev package.
    + Add new gir1.0-gupnp-av-1.0 package with typelib.
  * Use multi-line build-dependencies and add gobject-introspection.
  * Add build-dependency on libgirepository1.0-dev and
    gir-repository-dev
  * Add a versioned replaces on libgupnp-av-1.0-dev against gir-repository-dev
    (<= 0.6.5-5), to prevent .gir file collisions.
  * Add Homepage and Vcs-* fields
  * Bump to policy version 3.8.4
  * Add myself to Uploaders (acknowledged by Ross Burton)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 20 Apr 2010 14:50:02 +0200

gupnp-av (0.5.2-1) unstable; urgency=low

  * New upstream release (Closes: #558252)

 -- Ross Burton <ross@debian.org>  Mon, 30 Nov 2009 11:49:24 +0000

gupnp-av (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Ross Burton <ross@debian.org>  Thu, 24 Sep 2009 16:24:30 +0100

gupnp-av (0.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #534615)

 -- Ross Burton <ross@debian.org>  Mon, 13 Jul 2009 08:31:59 +0100

gupnp-av (0.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #522111)

 -- Ross Burton <ross@debian.org>  Wed, 01 Apr 2009 10:38:38 +0100

gupnp-av (0.2.1-2) unstable; urgency=low

  * Change the -doc package to arch:all (Closes: #517610)

 -- Ross Burton <ross@debian.org>  Sun, 08 Mar 2009 00:15:01 +0000

gupnp-av (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on gupnp 0.12 to ensure new soname

 -- Ross Burton <ross@debian.org>  Tue, 17 Jun 2008 10:27:20 +0100

gupnp-av (0.2-1) unstable; urgency=low

  * Initial release.

 -- Ross Burton <ross@debian.org>  Wed, 11 Jun 2008 09:32:44 +0100
